Package org.zkoss.zuti.zul.event

## Class NavigationEvent<T>

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zuti.zul.event.NavigationEvent<T>

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NavigationEvent<T>
      extends Event

  Defines an event that encapsulates changes to a navigation model.
  Since:
    8.6.0
  Author:
    rudyhuang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NavigationEvent.Type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NavigationEvent​(NavigationModel<T> model, NavigationLevel<T> level, NavigationEvent.Type type, java.lang.String key, T current)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getCurrent()` | Returns the current navigation data.
    `java.lang.String` | `getKey()` | Returns the current navigation key.
    `NavigationLevel<T>` | `getLevel()` | Returns the level that fires this event.
    `NavigationModel<T>` | `getModel()` | Returns the model that fires this event.
    `NavigationEvent.Type` | `getType()` | Returns the event type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationEvent

          public NavigationEvent​(NavigationModel<T> model,
                                 NavigationLevel<T> level,
                                 NavigationEvent.Type type,
                                 java.lang.String key,
                                 T current)

  - ### Method Detail

    - #### getModel

          public NavigationModel<T> getModel()

      Returns the model that fires this event.

    - #### getLevel

          public NavigationLevel<T> getLevel()

      Returns the level that fires this event.

    - #### getType

          public NavigationEvent.Type getType()

      Returns the event type.

    - #### getKey

          public java.lang.String getKey()

      Returns the current navigation key.

    - #### getCurrent

          public T getCurrent()

      Returns the current navigation data.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Event`